Subject: bug#53214: Release 1.4.0 progress

From: Ludovic Courtès <[email-masked]>
Date: Tue, 01 Feb 2022 09:34:35 +0100

Hi,

Leo Famulari <[email-masked]> skribis:

> The build farm is having trouble building Guix for i686-linux. In fact,
> it hasn't successfully completed the 'guix' job in weeks:
>
> https://issues.guix.gnu.org/53463

(This issue title doesn’t mention i686.)  I’m looking at it, though a
bit slowly because I’ve been busy with other things:

  https://issues.guix.gnu.org/53506

> And building the guix package does not work on aarch64, also for weeks:
>
> https://issues.guix.gnu.org/52943

Ah, I thought this had been fixed with Chris Marusich’s commits but
apparently not?

> Finally, should we consider retiring the armhf port in 1.4.0? It seems
> that we have stopped trying to build for it:
>
> https://ci.guix.gnu.org/search?query=guix+spec%3Amaster+system%3Aarmhf-linux

The “armhf-linux” box was unchecked, not sure why.  I’ve re-added it and
we’ll see.  (For the record, anyone with access to berlin or with a
certificate can do it via the Cuirass web interface.)

Bordeaux.guix does have binaries:

--8<---------------cut here---------------start------------->8---
$ guix weather -s armhf-linux coreutils guile grep sed
computing 4 package derivations for armhf-linux...
looking for 6 store items on https://ci.guix.gnu.org...
https://ci.guix.gnu.org
  0.0% substitutes available (0 out of 6)
  unknown substitute sizes
  0.0 MiB on disk (uncompressed)
  0.042 seconds per request (0.2 seconds in total)
  23.6 requests per second

  0.0% (0 out of 6) of the missing items are queued
  at least 1,000 queued builds
      aarch64-linux: 1000 (100.0%)
  build rate: 17.64 builds per hour
      i686-linux: 4.74 builds per hour
      x86_64-linux: 9.23 builds per hour
      powerpc64le-linux: 3.69 builds per hour
looking for 6 store items on https://bordeaux.guix.gnu.org...
https://bordeaux.guix.gnu.org
  100.0% substitutes available (6 out of 6)
  23.1 MiB of nars (compressed)
  113.8 MiB on disk (uncompressed)
  0.034 seconds per request (0.1 seconds in total)
  29.3 requests per second
  (continuous integration information unavailable)
--8<---------------cut here---------------end--------------->8---

Overall it’s not a great situation to be in, but I think we should be
able to address it.  Usually I think it’s safer to merge ‘core-updates’
only after “make assert-binaries-available” passes.

Thanks,
Ludo’.